# $Revision: 1.4 $, $Date: 2004/11/11 13:01:20 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	PerlIO
%define		pnam	via-dynamic
Summary:	PerlIO::via::dynamic - dynamic PerlIO layers
Summary(pl):	PerlIO::via::dynamic - dynamiczne warstwy PerlIO
Name:		perl-PerlIO-via-dynamic
Version:	0.11
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c37d34e2a4e8623f3429693e61b78363
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PerlIO::via::dynamic is used for creating dynamic PerlIO layers. It is
useful when the behavior or the layer depends on variables.

%description -l pl
PerlIO::via::dynamic suy do tworzenia dynamicznych warstw PerlIO.
Jest przydatny kiedy zachowanie lub warstwa zaley od zmiennych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGE*
%{perl_vendorlib}/PerlIO/via/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PerlIO-via-dynamic.spec,v $
Revision 1.4  2004/11/11 13:01:20  paladine
- updated to 0.11

Revision 1.3  2004/11/03 22:30:40  paladine
- formatting

Revision 1.2  2004/05/21 17:38:01  qboosh
- pl, removed bogus URL

Revision 1.1  2004/05/21 02:22:50  arekm
- initial pld release
